{ dgn-lib, ... }:

let
  inherit (dgn-lib)
    enableModules
    mkImports
    recursiveFuse;

  # List of modules to enable
  enabledModules = [
    "dgn-dns"
  ];

  # List of services to enable
  enabledServices = [
    "ds-fr"
    "kanidm"
    "mastodon"
    "nextcloud"
    "outline"
    "satosa"
  ];
in

recursiveFuse [
  (enableModules enabledModules)

  {
    imports = mkImports ./. enabledServices;
  }
]
